--NAME_PLATE_UNIT_ADDED GLOBAL_TICKER
function(e, u)
    if e == "NAME_PLATE_UNIT_ADDED" then
        local guildName, guildRankName = GetGuildInfo(u);
        local uname = UnitName(u)
        if uname and u and guildName and guildRankName and guildName == "Indecisive" and not aura_env.unitList[uname]then
            --if guildRankName ~= "Trial" and guildName == "Indecisive" and not aura_env.unitList[u] and u then
            DoEmote("PAT", u)
            --DoEmote("HELLO", u)
            aura_env.unitList[uname] = GetTime() + 600
        end
    elseif e == "ONE_SECOND_TICK" then
        for k, v in pairs(aura_env.unitList) do
            if GetTime() > v then
                aura_env.unitList[uname] = nil
            end
        end
    end
    --print(GetTime())
    --DevTools_Dump(aura_env.unitList)
end

--INIT
aura_env.unitList = {}
